unit Unit2;

interface

uses
  Winapi.Windows, Winapi.Messages, System.SysUtils, System.Variants, System.Classes, Vcl.Graphics,
  Vcl.Controls, Vcl.Forms, Vcl.Dialogs, Vcl.Buttons, Vcl.StdCtrls;

type
  TForm2 = class(TForm)
    edtDiretorio: TEdit;
    btnDiretorio: TButton;
    Label1: TLabel;
    Label2: TLabel;
    lstEncontrados: TListBox;
    lstRegistrados: TListBox;
    btnRegistrar: TSpeedButton;
    procedure FormCreate(Sender: TObject);
    procedure btnDiretorioClick(Sender: TObject);
  private
    procedure CarregarEstilosDoDiretorio(dir: String);
    { Private declarations }
  public
    { Public declarations }
  end;

var
  Form2: TForm2;

implementation

uses
  System.IOUtils,
  FileCtrl;

{$R *.dfm}

procedure TForm2.btnDiretorioClick(Sender: TObject);
var
  Sel: String;
begin
  Sel := '';
  SelectDirectory(Sel, [], 0);
  if Sel <> '' then
  begin
    edtDiretorio.Text := Sel;
    CarregarEstilosDoDiretorio(edtDiretorio.Text);
  end;
end;

procedure TForm2.CarregarEstilosDoDiretorio(dir: String);
Var
  Arquivo, Caminho: string;
begin
  Caminho := IncludeTrailingPathDelimiter(dir);
  for Arquivo in TDirectory.GetFiles(Caminho, '*.vsf') do
    lstEncontrados.Items.Add(Arquivo);
end;


procedure TForm2.FormCreate(Sender: TObject);
begin
  edtDiretorio.Text := ExtractFilePath(ParamStr(0));
  CarregarEstilosDoDiretorio(edtDiretorio.Text);
end;

end.
